part of 'resend_form_bloc.dart';

@freezed
class ResendFormState with _$ResendFormState {
  const factory ResendFormState({
    required String phoneNumber,
    required String purpose,
    required Option<Either<AuthFailure, Resend>> failureOrResendOption,
    @Default(false) bool isSubmitting,
    @Default(false) bool showErrorMessages,
  }) = _ResendFormState;

  factory ResendFormState.initial() => ResendFormState(
    phoneNumber: '',
    purpose: '',
    failureOrResendOption: none(),
  );
}
